<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\OLERead</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_getStream" title="getStream ::Extract binary stream data.">
            <span class="description">Extract binary stream data.</span><pre>getStream</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_read" title="read ::Read the file.">
            <span class="description">Read the file.</span><pre>read</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method__readData" title="_readData ::Read a standard stream (by joining sectors using information from SAT).">
                                <span class="description">Read a standard stream (by joining sectors using information from SAT).</span><pre>_readData</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_getInt4d" title="getInt4d ::Read 4 bytes of data at specified position.">
                                <span class="description">Read 4 bytes of data at specified position.</span><pre>getInt4d</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readPropertySets" title="readPropertySets ::Read entries in the directory stream.">
                                <span class="description">Read entries in the directory stream.</span><pre>readPropertySets</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_BIG_BLOCK_DEPOT_BLOCKS_POS" title="BIG_BLOCK_DEPOT_BLOCKS_POS ::">
                        <span class="description"></span><pre>BIG_BLOCK_DEPOT_BLOCKS_POS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BIG_BLOCK_SIZE" title="BIG_BLOCK_SIZE ::">
                        <span class="description"></span><pre>BIG_BLOCK_SIZE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_EXTENSION_BLOCK_POS" title="EXTENSION_BLOCK_POS ::">
                        <span class="description"></span><pre>EXTENSION_BLOCK_POS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_NUM_BIG_BLOCK_DEPOT_BLOCKS_POS" title="NUM_BIG_BLOCK_DEPOT_BLOCKS_POS ::">
                        <span class="description"></span><pre>NUM_BIG_BLOCK_DEPOT_BLOCKS_POS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_NUM_EXTENSION_BLOCK_POS" title="NUM_EXTENSION_BLOCK_POS ::">
                        <span class="description"></span><pre>NUM_EXTENSION_BLOCK_POS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_PROPERTY_STORAGE_BLOCK_SIZE" title="PROPERTY_STORAGE_BLOCK_SIZE ::">
                        <span class="description"></span><pre>PROPERTY_STORAGE_BLOCK_SIZE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_ROOT_START_BLOCK_POS" title="ROOT_START_BLOCK_POS ::">
                        <span class="description"></span><pre>ROOT_START_BLOCK_POS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SIZE_OF_NAME_POS" title="SIZE_OF_NAME_POS ::">
                        <span class="description"></span><pre>SIZE_OF_NAME_POS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SIZE_POS" title="SIZE_POS ::">
                        <span class="description"></span><pre>SIZE_POS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SMALL_BLOCK_DEPOT_BLOCK_POS" title="SMALL_BLOCK_DEPOT_BLOCK_POS ::">
                        <span class="description"></span><pre>SMALL_BLOCK_DEPOT_BLOCK_POS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SMALL_BLOCK_SIZE" title="SMALL_BLOCK_SIZE ::">
                        <span class="description"></span><pre>SMALL_BLOCK_SIZE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SMALL_BLOCK_THRESHOLD" title="SMALL_BLOCK_THRESHOLD ::">
                        <span class="description"></span><pre>SMALL_BLOCK_THRESHOLD</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_START_BLOCK_POS" title="START_BLOCK_POS ::">
                        <span class="description"></span><pre>START_BLOCK_POS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_POS" title="TYPE_POS ::">
                        <span class="description"></span><pre>TYPE_POS</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>OLERead</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method__readData"></a>
                        <div class="element clickable methodprivate method__readData" data-toggle="collapse" data-target=".method__readData .collapse">
                            <h2>Read a standard stream (by joining sectors using information from SAT).</h2>
                            <pre>_readData(integer $bl): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$bl</h4>
                                                <code>integer</code><p><p>Sector ID where the stream starts</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Data for standard stream</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getInt4d"></a>
                        <div class="element clickable methodprivate method_getInt4d" data-toggle="collapse" data-target=".method_getInt4d .collapse">
                            <h2>Read 4 bytes of data at specified position.</h2>
                            <pre>getInt4d(string $data,integer $pos): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$data</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pos</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStream"></a>
                        <div class="element clickable methodpublic method_getStream" data-toggle="collapse" data-target=".method_getStream .collapse">
                            <h2>Extract binary stream data.</h2>
                            <pre>getStream(integer $stream): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$stream</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_read"></a>
                        <div class="element clickable methodpublic method_read" data-toggle="collapse" data-target=".method_read .collapse">
                            <h2>Read the file.</h2>
                            <pre>read( $pFilename)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code></code><p><p>string Filename</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readPropertySets"></a>
                        <div class="element clickable methodprivate method_readPropertySets" data-toggle="collapse" data-target=".method_readPropertySets .collapse">
                            <h2>Read entries in the directory stream.</h2>
                            <pre>readPropertySets()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_BIG_BLOCK_SIZE"> </a>
                            <div class="element clickable constant constant_BIG_BLOCK_SIZE" data-toggle="collapse" data-target=".constant_BIG_BLOCK_SIZE .collapse">
                                <h2>BIG_BLOCK_SIZE</h2>
                                <pre>BIG_BLOCK_SIZE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SMALL_BLOCK_SIZE"> </a>
                            <div class="element clickable constant constant_SMALL_BLOCK_SIZE" data-toggle="collapse" data-target=".constant_SMALL_BLOCK_SIZE .collapse">
                                <h2>SMALL_BLOCK_SIZE</h2>
                                <pre>SMALL_BLOCK_SIZE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_PROPERTY_STORAGE_BLOCK_SIZE"> </a>
                            <div class="element clickable constant constant_PROPERTY_STORAGE_BLOCK_SIZE" data-toggle="collapse" data-target=".constant_PROPERTY_STORAGE_BLOCK_SIZE .collapse">
                                <h2>PROPERTY_STORAGE_BLOCK_SIZE</h2>
                                <pre>PROPERTY_STORAGE_BLOCK_SIZE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SMALL_BLOCK_THRESHOLD"> </a>
                            <div class="element clickable constant constant_SMALL_BLOCK_THRESHOLD" data-toggle="collapse" data-target=".constant_SMALL_BLOCK_THRESHOLD .collapse">
                                <h2>SMALL_BLOCK_THRESHOLD</h2>
                                <pre>SMALL_BLOCK_THRESHOLD</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_NUM_BIG_BLOCK_DEPOT_BLOCKS_POS"> </a>
                            <div class="element clickable constant constant_NUM_BIG_BLOCK_DEPOT_BLOCKS_POS" data-toggle="collapse" data-target=".constant_NUM_BIG_BLOCK_DEPOT_BLOCKS_POS .collapse">
                                <h2>NUM_BIG_BLOCK_DEPOT_BLOCKS_POS</h2>
                                <pre>NUM_BIG_BLOCK_DEPOT_BLOCKS_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_ROOT_START_BLOCK_POS"> </a>
                            <div class="element clickable constant constant_ROOT_START_BLOCK_POS" data-toggle="collapse" data-target=".constant_ROOT_START_BLOCK_POS .collapse">
                                <h2>ROOT_START_BLOCK_POS</h2>
                                <pre>ROOT_START_BLOCK_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SMALL_BLOCK_DEPOT_BLOCK_POS"> </a>
                            <div class="element clickable constant constant_SMALL_BLOCK_DEPOT_BLOCK_POS" data-toggle="collapse" data-target=".constant_SMALL_BLOCK_DEPOT_BLOCK_POS .collapse">
                                <h2>SMALL_BLOCK_DEPOT_BLOCK_POS</h2>
                                <pre>SMALL_BLOCK_DEPOT_BLOCK_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_EXTENSION_BLOCK_POS"> </a>
                            <div class="element clickable constant constant_EXTENSION_BLOCK_POS" data-toggle="collapse" data-target=".constant_EXTENSION_BLOCK_POS .collapse">
                                <h2>EXTENSION_BLOCK_POS</h2>
                                <pre>EXTENSION_BLOCK_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_NUM_EXTENSION_BLOCK_POS"> </a>
                            <div class="element clickable constant constant_NUM_EXTENSION_BLOCK_POS" data-toggle="collapse" data-target=".constant_NUM_EXTENSION_BLOCK_POS .collapse">
                                <h2>NUM_EXTENSION_BLOCK_POS</h2>
                                <pre>NUM_EXTENSION_BLOCK_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BIG_BLOCK_DEPOT_BLOCKS_POS"> </a>
                            <div class="element clickable constant constant_BIG_BLOCK_DEPOT_BLOCKS_POS" data-toggle="collapse" data-target=".constant_BIG_BLOCK_DEPOT_BLOCKS_POS .collapse">
                                <h2>BIG_BLOCK_DEPOT_BLOCKS_POS</h2>
                                <pre>BIG_BLOCK_DEPOT_BLOCKS_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SIZE_OF_NAME_POS"> </a>
                            <div class="element clickable constant constant_SIZE_OF_NAME_POS" data-toggle="collapse" data-target=".constant_SIZE_OF_NAME_POS .collapse">
                                <h2>SIZE_OF_NAME_POS</h2>
                                <pre>SIZE_OF_NAME_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_POS"> </a>
                            <div class="element clickable constant constant_TYPE_POS" data-toggle="collapse" data-target=".constant_TYPE_POS .collapse">
                                <h2>TYPE_POS</h2>
                                <pre>TYPE_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_START_BLOCK_POS"> </a>
                            <div class="element clickable constant constant_START_BLOCK_POS" data-toggle="collapse" data-target=".constant_START_BLOCK_POS .collapse">
                                <h2>START_BLOCK_POS</h2>
                                <pre>START_BLOCK_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SIZE_POS"> </a>
                            <div class="element clickable constant constant_SIZE_POS" data-toggle="collapse" data-target=".constant_SIZE_POS .collapse">
                                <h2>SIZE_POS</h2>
                                <pre>SIZE_POS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_data"> </a>
                            <div class="element clickable propertyprivate property_data" data-toggle="collapse" data-target=".property_data .collapse">
                                <h2>data</h2>
                                <pre>data :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_wrkbook"> </a>
                            <div class="element clickable propertypublic property_wrkbook" data-toggle="collapse" data-target=".property_wrkbook .collapse">
                                <h2>wrkbook</h2>
                                <pre>wrkbook :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_summaryInformation"> </a>
                            <div class="element clickable propertypublic property_summaryInformation" data-toggle="collapse" data-target=".property_summaryInformation .collapse">
                                <h2>summaryInformation</h2>
                                <pre>summaryInformation :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_documentSummaryInformation"> </a>
                            <div class="element clickable propertypublic property_documentSummaryInformation" data-toggle="collapse" data-target=".property_documentSummaryInformation .collapse">
                                <h2>documentSummaryInformation</h2>
                                <pre>documentSummaryInformation :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_numBigBlockDepotBlocks"> </a>
                            <div class="element clickable propertyprivate property_numBigBlockDepotBlocks" data-toggle="collapse" data-target=".property_numBigBlockDepotBlocks .collapse">
                                <h2>numBigBlockDepotBlocks</h2>
                                <pre>numBigBlockDepotBlocks :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_rootStartBlock"> </a>
                            <div class="element clickable propertyprivate property_rootStartBlock" data-toggle="collapse" data-target=".property_rootStartBlock .collapse">
                                <h2>rootStartBlock</h2>
                                <pre>rootStartBlock :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_sbdStartBlock"> </a>
                            <div class="element clickable propertyprivate property_sbdStartBlock" data-toggle="collapse" data-target=".property_sbdStartBlock .collapse">
                                <h2>sbdStartBlock</h2>
                                <pre>sbdStartBlock :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_extensionBlock"> </a>
                            <div class="element clickable propertyprivate property_extensionBlock" data-toggle="collapse" data-target=".property_extensionBlock .collapse">
                                <h2>extensionBlock</h2>
                                <pre>extensionBlock :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_numExtensionBlocks"> </a>
                            <div class="element clickable propertyprivate property_numExtensionBlocks" data-toggle="collapse" data-target=".property_numExtensionBlocks .collapse">
                                <h2>numExtensionBlocks</h2>
                                <pre>numExtensionBlocks :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_bigBlockChain"> </a>
                            <div class="element clickable propertyprivate property_bigBlockChain" data-toggle="collapse" data-target=".property_bigBlockChain .collapse">
                                <h2>bigBlockChain</h2>
                                <pre>bigBlockChain :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_smallBlockChain"> </a>
                            <div class="element clickable propertyprivate property_smallBlockChain" data-toggle="collapse" data-target=".property_smallBlockChain .collapse">
                                <h2>smallBlockChain</h2>
                                <pre>smallBlockChain :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_entry"> </a>
                            <div class="element clickable propertyprivate property_entry" data-toggle="collapse" data-target=".property_entry .collapse">
                                <h2>entry</h2>
                                <pre>entry :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_rootentry"> </a>
                            <div class="element clickable propertyprivate property_rootentry" data-toggle="collapse" data-target=".property_rootentry .collapse">
                                <h2>rootentry</h2>
                                <pre>rootentry :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_props"> </a>
                            <div class="element clickable propertyprivate property_props" data-toggle="collapse" data-target=".property_props .collapse">
                                <h2>props</h2>
                                <pre>props :array</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\OLERead"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.html">Shared</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.OLERead.html">OLERead</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:49 +0000.<br/>
    </footer></body>
</html>
